/** @typedef {typeof __propDef.props}  CardProps */
/** @typedef {typeof __propDef.events}  CardEvents */
/** @typedef {typeof __propDef.slots}  CardSlots */
export default class Card extends SvelteComponent<{
    body: any;
    title: any;
    width?: string | undefined;
    height?: string | undefined;
    padding?: string | undefined;
    margin?: string | undefined;
    border?: string | undefined;
    borderRadius?: string | undefined;
    boxShadow?: string | undefined;
    backgroundColor?: string | undefined;
    fontFamily?: string | undefined;
    foldable?: boolean | undefined;
    open?: boolean | undefined;
    openIcon?: string | undefined;
    closeIcon?: string | undefined;
}, {
    cardFolding: CustomEvent<any>;
} & {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type CardProps = typeof __propDef.props;
export type CardEvents = typeof __propDef.events;
export type CardSlots = typeof __propDef.slots;
import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        body: any;
        title: any;
        width?: string | undefined;
        height?: string | undefined;
        padding?: string | undefined;
        margin?: string | undefined;
        border?: string | undefined;
        borderRadius?: string | undefined;
        boxShadow?: string | undefined;
        backgroundColor?: string | undefined;
        fontFamily?: string | undefined;
        foldable?: boolean | undefined;
        open?: boolean | undefined;
        openIcon?: string | undefined;
        closeIcon?: string | undefined;
    };
    events: {
        cardFolding: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: undefined;
    bindings?: undefined;
};
export {};
