import { SvelteComponent } from "svelte";
import type { MenuItem, MenuPosition, MenuSize } from "./types.js";
declare const __propDef: {
    props: {
        menuItems?: MenuItem[];
        menuLevel?: number;
        menuPos?: MenuPosition;
        menuSize?: MenuSize;
    };
    events: {
        click: MouseEvent;
        menuItemClicked: CustomEvent<MenuItem>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type ContextMenuProps = typeof __propDef.props;
type ContextMenuEvents_ = typeof __propDef.events;
export { ContextMenuEvents_ as ContextMenuEvents };
export type ContextMenuSlots = typeof __propDef.slots;
export default class ContextMenu extends SvelteComponent<ContextMenuProps, ContextMenuEvents_, ContextMenuSlots> {
}
