import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        floorLevel?: number;
        floorId?: null;
        ancestorFloorId?: null;
        designMode?: boolean;
        componentScriptBasePath: any;
        childComponentInfo?: null;
        menuItems?: any[];
        update?: (focus?: boolean) => any;
        getContextDesignMode?: () => any;
        getChildComponentInfo?: () => {
            floorId: any;
            childComponentInfo: any;
        };
        ensureVisible?: (targetFloorId: any) => any;
        highlight?: (targetFloorId: any) => any;
        resetFloor?: (targetFloorId: any) => any;
        removeTabFloor?: (targetFloorId: any, tabIndexUpdateInfo: any) => any;
        tryToLinkDataSink?: (dataSink: any) => void;
    };
    events: {
        queryContainerInfo: CustomEvent<any>;
        loadFloorChildComponent: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type FloorChildProps = typeof __propDef.props;
export type FloorChildEvents = typeof __propDef.events;
export type FloorChildSlots = typeof __propDef.slots;
export default class FloorChild extends SvelteComponent<FloorChildProps, FloorChildEvents, FloorChildSlots> {
    get update(): (focus?: boolean) => any;
    get getContextDesignMode(): () => any;
    get getChildComponentInfo(): () => {
        floorId: any;
        childComponentInfo: any;
    };
    get ensureVisible(): (targetFloorId: any) => any;
    get highlight(): (targetFloorId: any) => any;
    get resetFloor(): (targetFloorId: any) => any;
    get removeTabFloor(): (targetFloorId: any, tabIndexUpdateInfo: any) => any;
    get tryToLinkDataSink(): (dataSink: any) => void;
}
export {};
