import { SvelteComponent } from "svelte";
import type { Tab, TabPosition } from './types.js';
declare const __propDef: {
    props: {
        tabs?: Tab[];
        selectedTabIndex?: number;
        tabPosition?: TabPosition;
        showContentControl?: boolean;
    };
    events: {
        tabSelected: CustomEvent<{
            tabIndex: number;
        }>;
        tabAddButtonClicked: CustomEvent<void>;
        tabDeleteButtonClicked: CustomEvent<{
            label: string;
            tabIndex: number;
        }>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type TabButtonGroupProps = typeof __propDef.props;
type TabButtonGroupEvents_ = typeof __propDef.events;
export { TabButtonGroupEvents_ as TabButtonGroupEvents };
export type TabButtonGroupSlots = typeof __propDef.slots;
export default class TabButtonGroup extends SvelteComponent<TabButtonGroupProps, TabButtonGroupEvents_, TabButtonGroupSlots> {
}
