import { SvelteComponent } from "svelte";
import type { ToggleButtonInfo } from './types.js';
import type { TabPosition } from '../../Tab/types.js';
declare const __propDef: {
    props: {
        label?: string;
        value: any;
        showDeleteButton?: boolean;
        tabPosition?: TabPosition;
        deleteButtonClick?: ((label: string, value: unknown) => void) | undefined;
        customEvents?: string[];
    };
    events: {
        toggleItemChanged: CustomEvent<ToggleButtonInfo>;
        tabClicked: CustomEvent<ToggleButtonInfo>;
        tabDeleteButtonClicked: CustomEvent<ToggleButtonInfo>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type TabButtonProps = typeof __propDef.props;
export type TabButtonEvents = typeof __propDef.events;
export type TabButtonSlots = typeof __propDef.slots;
export default class TabButton extends SvelteComponent<TabButtonProps, TabButtonEvents, TabButtonSlots> {
    get customEvents(): string[];
}
export {};
