import { SvelteComponent } from "svelte";
import { type DataProps, DataSink } from "../common/data/DataStore.js";
declare const __propDef: {
    props: {
        subscriberCount?: () => number;
        maxSubscriberCount?: undefined | number;
        dataProps?: DataProps;
        subscribe?: (dataSink: DataSink) => void;
        set?: (data: object) => void;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type DataStoreProps = typeof __propDef.props;
export type DataStoreEvents = typeof __propDef.events;
export type DataStoreSlots = typeof __propDef.slots;
export default class DataStore extends SvelteComponent<DataStoreProps, DataStoreEvents, DataStoreSlots> {
    get subscriberCount(): () => number;
    get subscribe(): (dataSink: DataSink) => void;
    get set(): (data: object) => void;
    get maxSubscriberCount(): number | undefined;
    /**accessor*/
    set maxSubscriberCount(_: number | undefined);
    get dataProps(): DataProps | undefined;
    /**accessor*/
    set dataProps(_: DataProps | undefined);
    get undefined(): any;
    /**accessor*/
    set undefined(_: any);
    get undefined(): any;
    /**accessor*/
    set undefined(_: any);
}
export {};
