import { SvelteComponent } from "svelte";
import type { Store, Header, Row, StyleProps } from "./types.js";
declare const __propDef: {
    props: {
        header?: Header;
        items?: Row[];
        defaultHeaderStyle?: StyleProps;
        defaultBodyStyle?: StyleProps | StyleProps[];
        enableColumnResize?: boolean;
        alternatingRowColor?: string | null;
        capitalizeHeaders?: boolean;
        store?: Store | null;
        maxHeight?: string;
        tableLayout?: "auto" | "fixed" | "inherit";
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type ListViewProps = typeof __propDef.props;
export type ListViewEvents = typeof __propDef.events;
export type ListViewSlots = typeof __propDef.slots;
export default class ListView extends SvelteComponent<ListViewProps, ListViewEvents, ListViewSlots> {
}
export {};
