import { SvelteComponent } from "svelte";
import type { Direction, HAlign, VAlign } from '../Layout/types.js';
import type { ToggleItem } from './types.js';
declare const __propDef: {
    props: {
        activatedValue?: unknown;
        direction?: Direction;
        reverse?: boolean;
        hAlign?: HAlign;
        vAlign?: VAlign;
        trapFocus?: boolean;
        defaultItemProps?: Record<string, unknown>;
        items?: Array<ToggleItem>;
    };
    events: {
        toggleItemChanged: CustomEvent<{
            value: any;
            itemIndex: number;
        }>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
    exports?: {} | undefined;
    bindings?: string | undefined;
};
export type ToggleGroupProps = typeof __propDef.props;
type ToggleGroupEvents_ = typeof __propDef.events;
export { ToggleGroupEvents_ as ToggleGroupEvents };
export type ToggleGroupSlots = typeof __propDef.slots;
export default class ToggleGroup extends SvelteComponent<ToggleGroupProps, ToggleGroupEvents_, ToggleGroupSlots> {
}
